Package ghidra.features.base.memsearch.matcher

# Class CombinedByteMatcher

java.lang.Object
ghidra.features.base.memsearch.matcher.ByteMatcher
ghidra.features.base.memsearch.matcher.CombinedByteMatcher

public class CombinedByteMatcher extends ByteMatcher
A ByteMatcher that searches an input sequence for matches from multiple patterns. This is useful for using with the `MemorySearcher` so that multiple patterns can be searched with only one pass through memory, thus paying the memory I/O costs only once. The resulting matches will contain the sub ByteMatcher that matched so that it is easy to know which of the multiple patterns matched.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.features.base.memsearch.matcher.ByteMatcher

  `ByteMatcher.ByteMatch`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CombinedByteMatcher(List<ByteMatcher> matchers, SearchSettings settings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns a description of what this byte matcher matches.
  `String`
  `getToolTip()`
  Returns additional information about this byte matcher.
  `Iterable<ByteMatcher.ByteMatch>`
  `match(ExtendedByteSequence bytes)`
  Returns an `Iterable` for returning matches within the given byte sequence.

  ### Methods inherited from class ghidra.features.base.memsearch.matcher.ByteMatcher

  `equals, getInput, getName, getSettings, hashCode, isValidInput, isValidSearch, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CombinedByteMatcher

    public CombinedByteMatcher(List<ByteMatcher> matchers, SearchSettings settings)

- ## Method Details

  - ### match

    public Iterable<ByteMatcher.ByteMatch> match(ExtendedByteSequence bytes)
    Description copied from class: `ByteMatcher`
    Returns an `Iterable` for returning matches within the given byte sequence.
    Specified by:
      `match` in class `ByteMatcher`
    Parameters:
      `bytes` - the byte sequence to search
    Returns:
      an iterable for return matches in the given sequence

  - ### getDescription

    public String getDescription()
    Description copied from class: `ByteMatcher`
    Returns a description of what this byte matcher matches. (Typically a sequence of bytes)
    Specified by:
      `getDescription` in class `ByteMatcher`
    Returns:
      a description of what this byte matcher matches

  - ### getToolTip

    public String getToolTip()
    Description copied from class: `ByteMatcher`
    Returns additional information about this byte matcher. (Typically the mask bytes)
    Specified by:
      `getToolTip` in class `ByteMatcher`
    Returns:
      additional information about this byte matcher